Bug 223353 - [PATCH] Unbreak security/opensc 0.17.0 support for Feitian ePass2003 token
Summary: [PATCH] Unbreak security/opensc 0.17.0 support for Feitian ePass2003 token
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Alex Dupre
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2017-10-31 23:16 UTC by Craig Leres
Modified: 2017-11-01 11:31 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (ale)


Attachments
patch (17.53 KB, text/plain)
2017-10-31 23:16 UTC, Craig Leres
no flags Details
Poudriere build log (26.51 KB, text/plain)
2017-10-31 23:17 UTC, Craig Leres
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Craig Leres freebsd_committer 2017-10-31 23:16:57 UTC
Created attachment 187631 [details]
patch

The 0.17.0 update to security/opensc broke support for Feitian ePass2003 hard tokens; fixes for this issue have already been committed upstream. The attached patchset represents the necessary changes to restore support:

    https://github.com/OpenSC/OpenSC.git/trunk

    r6899 | feitian.technologies | 2017-10-16 05:57:52 -0700 (Mon, 16 Oct 2017) | 5
    lines

    Add ECC support and solve wrong Length status codes with SM card

    Fix #1073
    Fix #1115
Comment 1 Craig Leres freebsd_committer 2017-10-31 23:17:47 UTC
Created attachment 187632 [details]
Poudriere build log
Comment 2 commit-hook freebsd_committer 2017-11-01 11:28:14 UTC
A commit references this bug:

Author: ale
Date: Wed Nov  1 11:27:54 UTC 2017
New revision: 453274
URL: https://svnweb.freebsd.org/changeset/ports/453274

Log:
  Unbreak support for Feitian ePass2003 token and fix the configure args.

  PR:		223353
  Submitted by:	Craig Leres

Changes:
  head/security/opensc/Makefile
  head/security/opensc/distinfo